#include "Application.h"
#include "BoostLog.h"
#include "Configuration.h"
#include <QQuickStyle>

int main(int argc, char *argv[]) {
    using namespace Amass;
    boost::log::initialize("logs/app");
    LOG(info) << "Compiled on: " << __DATE__ << " " << __TIME__ << std::endl;
    LOG(info) << "Git commit ID: " << GIT_COMMIT_ID << std::endl;
    LOG(info) << "Program version: " << APP_VERSION << std::endl;
    QQuickStyle::setStyle("Basic"); // Basic Material
    auto app = Singleton<Application>::instance<Construct>(argc, argv);
    app->initializeLogger();
    return app->exec();
}
